{--------------------------------------------------------------------

 Author:      J.M.Wehlou

 Description:
    Defines the interface the client must implement which
    provides the data definitions for performance counting.
    This interface would normally be implemented with a
    singleton class. It will be called from both the
    client side performance monitor as from the DLL implementation,
    which is why I pulled out the interface def to a separate lib unit.

 --------------------------------------------------------------------}

unit PerfMonClientDefIf;

interface

type
  IPerfMonClientDef = interface
    function  NbOfObjects(): integer;
    function  TotalSize(): cardinal;
    function  DriverName(): string;
    function  DLLPath(): string;
    function  FuncName_Open(): string;
    function  FuncName_Close(): string;
    function  FuncName_Collect(): string;
    function  MainName(): string;
    function  MainHelp(): string;
    function  ObjectName(iNb: integer): string;
    function  ObjectHelp(iNb: integer): string;
    function  ObjectScale(iNb: integer): integer;
    function  ObjectCounterType(iNb: integer): cardinal;
    function  MemMappedFileName(): string;
    function  ServiceKey(): string;
  end;

// ==================================================================

implementation

end.
